/******************************************************************************
* Copyright (c) 2014 - 2022 Xilinx, Inc.  All rights reserved.
* SPDX-License-Identifier: MIT
******************************************************************************/
/*
 * Minimal code for R5 to boot. Takes 32 (0x20) bytes at TCM offset 0.
 */
/*****************************************************************************/
/**
* @file asm_vectors.S
*
* This file contains the initial vector table for the Cortex R5 processor
*
* <pre>
* MODIFICATION HISTORY:
*
* Ver   Who     Date     Changes
* ----- ------- -------- ---------------------------------------------------
* 5.00  pkp	02/10/14 Initial version
* 6.0   mus     27/07/16 Added UndefinedException handler
* 6.3	pkp	02/13/17 Added support for hard float
* </pre>
*
******************************************************************************/
.org 0
.text

.globl _vector_table

.section .vectors, "ax"
_vector_table:
.L0:	b	.L0
.L1:	b	.L1
.L2:	b	.L2
.L3:	b	.L3
.L4:	b	.L4
.L5:	b	.L5
.L6:	b	.L6
.L7:	b	.L7
